-- MySQL Administrator dump 1.4
--
-- ------------------------------------------------------
-- Server version	5.1.50-community


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;


--
-- Create schema examen
--

CREATE DATABASE IF NOT EXISTS examen;
USE examen;

--
-- Definition of table `gastos`
--

DROP TABLE IF EXISTS `gastos`;
CREATE TABLE `gastos` (
  `cod_recibo` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `empresa` varchar(45) NOT NULL,
  `inmueble` int(10) unsigned NOT NULL,
  `importe` double NOT NULL,
  PRIMARY KEY (`cod_recibo`)
) ENGINE=InnoDB AUTO_INCREMENT=12 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `gastos`
--

/*!40000 ALTER TABLE `gastos` DISABLE KEYS */;
INSERT INTO `gastos` (`cod_recibo`,`empresa`,`inmueble`,`importe`) VALUES 
 (1,'Iberdrola',1,145.5),
 (2,'Repsol',1,850.34),
 (3,'Iberdrola',2,100.65),
 (4,'Ascensores Lopez',1,444.44),
 (5,'Repsol',1,235.5),
 (6,'Iberdrola',1,333.33),
 (7,'Repsol',2,43.5),
 (8,'Iberdrola',3,65.25),
 (9,'Iberdrola',1,102.5),
 (10,'Iberdrola',2,31.5),
 (11,'Repsol',1,735.25);
/*!40000 ALTER TABLE `gastos` ENABLE KEYS */;


--
-- Definition of table `inmueble`
--

DROP TABLE IF EXISTS `inmueble`;
CREATE TABLE `inmueble` (
  `cod_inm` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `direccion` varchar(45) DEFAULT NULL,
  `gastos_fijos` double DEFAULT NULL,
  PRIMARY KEY (`cod_inm`)
) ENGINE=InnoDB AUTO_INCREMENT=4 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `inmueble`
--

/*!40000 ALTER TABLE `inmueble` DISABLE KEYS */;
INSERT INTO `inmueble` (`cod_inm`,`direccion`,`gastos_fijos`) VALUES 
 (1,'C/ Pez, 34',1200),
 (2,'C/ Mayor, 15',1000),
 (3,'C/ Blanca, 52',800);
/*!40000 ALTER TABLE `inmueble` ENABLE KEYS */;


--
-- Definition of table `propiedades`
--

DROP TABLE IF EXISTS `propiedades`;
CREATE TABLE `propiedades` (
  `cod_pro` int(10) unsigned NOT NULL AUTO_INCREMENT,
  `descripcion` varchar(45) NOT NULL,
  `cuota` int(10) unsigned NOT NULL,
  `inmueble` int(10) unsigned NOT NULL,
  PRIMARY KEY (`cod_pro`)
) ENGINE=InnoDB AUTO_INCREMENT=8 DEFAULT CHARSET=latin1;

--
-- Dumping data for table `propiedades`
--

/*!40000 ALTER TABLE `propiedades` DISABLE KEYS */;
INSERT INTO `propiedades` (`cod_pro`,`descripcion`,`cuota`,`inmueble`) VALUES 
 (1,'Piso 1º A',30,1),
 (2,'Piso 1º B',30,1),
 (3,'Piso 2º A',30,1),
 (4,'Bajo comercial',10,1),
 (5,'Piso Bajo A',60,2),
 (6,'Piso Bajo B',40,2),
 (7,'Vivienda unifamiliar',100,3);
/*!40000 ALTER TABLE `propiedades` ENABLE KEYS */;




/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
